Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7906 - Bad Cookie Expiration Dates
Summary: Bad Cookie Expiration Dates
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General
Version: 2.1rC
Hardware: All
OS: Linux
medium
medium vote
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-20 18:03 UTC by davek
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-24 18:59:56 UTC


Attachments (Terms of Use)

Description davek 1999-12-20 18:03:02 UTC
When I went to the page where I change my preferences to see what could be
configured and subsequently tried to log out, bugzilla passed to me a set of
cookies each with an expiration dates somewhere in 1969!  The result was
that I could not successfully logout.  bugzilla then reported to me that it
had lost track of me and that I would have to log in again to do anything.

Comment 1 David Lawrence 2000-01-24 18:59:59 UTC
This does not seem to be causing any trouble on our end. The reasoning that the
date is set as such is that it automatically becomes an invalid cookie upon bein
set so when you relogin it will set the cookies to a valid state with 2029 as
the expiration year.


Note You need to log in before you can comment on or make changes to this bug.